Anonymous avatar Anonymous committed a1d029f

Adding Jetty support

Comments (0)

Files changed (13)

  end-users.
  .
  This package provides the Tomcat 7 integration files for Nexus.
+
+Package: nexus-jetty
+Architecture: all
+Depends: nexus-common, jetty
+Provides: nexus-container
+Recommends: libtcnative-1
+Description: Nexus : the repository manager - Tomcat 6 integration
+ Nexus manages software "artifacts" required for development,
+ deployment, and provisioning. If you develop software, Nexus
+ can help you share those artifacts with other developers and
+ end-users.
+ .
+ This package provides the Jetty integration files for Nexus.

debian/nexus-jetty.install

+jetty/nexus.context.xml		/etc/nexus/jetty/

debian/nexus-jetty.postinst

+#!/bin/sh -e
+
+#DEBHELPER#
+
+# Script
+case "$1" in
+	configure)
+		if ! dpkg-statoverride --quiet --list /etc/nexus > /dev/null; then
+			dpkg-statoverride --quiet --update --add jetty root 0750 /etc/nexus
+		fi
+
+		if ! dpkg-statoverride --quiet --list /var/lib/nexus > /dev/null; then
+			dpkg-statoverride --quiet --update --add jetty root 0750 /var/lib/nexus
+		fi
+
+		if ! dpkg-statoverride --quiet --list /var/log/nexus > /dev/null; then
+			dpkg-statoverride --quiet --update --add jetty root 0750 /var/log/nexus
+		fi
+
+		invoke-rc.d jetty restart
+		;;
+
+	*)
+		# Other action, nothing to do
+		;;
+esac
+

debian/nexus-jetty.postrm

+#!/bin/sh -e
+
+#DEBHELPER#
+
+# Script
+case "$1" in
+	remove|upgrade)
+		if [ -x /usr/sbin/dpkg-statoverride ]; then
+			if dpkg-statoverride --quiet --list /etc/nexus > /dev/null ; then
+				dpkg-statoverride --quiet --force --remove /etc/nexus
+			fi
+
+			if dpkg-statoverride --quiet --list /var/lib/nexus > /dev/null ; then
+				dpkg-statoverride --quiet --force --remove /var/lib/nexus
+			fi
+
+			if dpkg-statoverride --quiet --list /var/log/nexus > /dev/null ; then
+				dpkg-statoverride --quiet --force --remove /var/log/nexus
+			fi
+		fi
+
+		invoke-rc.d jetty restart
+		;;
+
+	*)
+		;;
+esac
+

debian/nexus-tomcat5.5.install

-nexus.policy			/etc/nexus/tomcat5.5
-nexus.context.xml		/etc/nexus/tomcat5.5
+tomcat/nexus.policy			/etc/nexus/tomcat5.5
+tomcat/nexus.context.xml		/etc/nexus/tomcat5.5

debian/nexus-tomcat6.install

-nexus.policy			/etc/nexus/tomcat6
-nexus.context.xml		/etc/nexus/tomcat6
+tomcat/nexus.policy			/etc/nexus/tomcat6
+tomcat/nexus.context.xml		/etc/nexus/tomcat6

debian/nexus-tomcat7.install

-nexus.policy			/etc/nexus/tomcat7
-nexus.context.xml		/etc/nexus/tomcat7
+tomcat/nexus.policy			/etc/nexus/tomcat7
+tomcat/nexus.context.xml		/etc/nexus/tomcat7

jetty/nexus.context.xml

+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE Configure PUBLIC "-//Mort Bay Consulting//DTD Configure//EN" "http://jetty.morbay.org/configure.dtd">
+
+<Configure class="org.mortbay.jetty.webapp.WebAppContext">
+  <Set name="contextPath">/nexus</Set>
+  <Set name="war">/usr/share/nexus</Set>
+</Configure>

nexus.context.xml

-<Context docBase="/usr/share/nexus" reloadable="true" allowLinking="true"/>

nexus.policy

-grant codeBase "file:${catalina.home}${file.separator}bin${file.separator}tomcat-juli.jar" {
-    permission java.io.FilePermission "/usr/share/nexus/WEB-INF/classes/logging.properties", "read";
-    permission java.io.FilePermission "/usr/share/nexus/WEB-INF/classes/log4j.properties", "read";
-};
-
-grant codeBase "file:/usr/share/nexus/-" {
-    permission java.io.FilePermission "/", "read";
-    permission java.io.FilePermission "/usr/share/tomcat5.5/.mime-types.properties", "read";
-    permission java.io.FilePermission "/etc/nexus/", "read,write";
-    permission java.io.FilePermission "/etc/nexus/-", "read,write,delete";
-    permission java.io.FilePermission "/usr/share/nexus", "read";
-    permission java.io.FilePermission "/usr/share/nexus/-", "read";
-    permission java.io.FilePermission "/var/lib/nexus", "read,write";
-    permission java.io.FilePermission "/var/lib/nexus/-", "read,write,delete";
-    permission java.io.FilePermission "/var/log/nexus", "read,write";
-    permission java.io.FilePermission "/var/log/nexus/-", "read,write,delete";
-    permission java.io.FilePermission "${catalina.base}/temp", "read,write";
-    permission java.io.FilePermission "${catalina.base}/temp/-", "read,write,delete";
-    permission java.io.FilePermission "<<ALL FILES>>", "read";
-    permission java.lang.reflect.ReflectPermission "suppressAccessChecks";
-    permission java.lang.RuntimePermission "accessClassInPackage.org.apache.coyote";
-    permission java.lang.RuntimePermission "accessClassInPackage.sun.jdbc.odbc";
-    permission java.lang.RuntimePermission "accessClassInPackage.sun.misc";
-    permission java.lang.RuntimePermission "accessClassInPackage.sun.reflect";
-    permission java.lang.RuntimePermission "accessClassInPackage.sun.util.logging.resources";
-    permission java.lang.RuntimePermission "accessDeclaredMembers";
-    permission java.lang.RuntimePermission "createClassLoader";
-    permission java.lang.RuntimePermission "defineClassInPackage.java.lang";
-    permission java.lang.RuntimePermission "getClassLoader";
-    permission java.lang.RuntimePermission "getenv.*";
-    permission java.lang.RuntimePermission "getProtectionDomain";
-    permission java.lang.RuntimePermission "modifyThread";
-    permission java.lang.RuntimePermission "preferences";
-    permission java.lang.RuntimePermission "reflectionFactoryAccess";
-    permission java.lang.RuntimePermission "setContextClassLoader";
-    permission java.lang.RuntimePermission "setFactory";
-    permission java.lang.RuntimePermission "setIO";
-    permission java.lang.RuntimePermission "shutdownHooks";
-    permission java.net.NetPermission "specifyStreamHandler";
-    permission java.net.SocketPermission "*", "connect,resolve";
-    permission java.security.SecurityPermission "putProviderProperty.BC";
-    permission java.util.logging.LoggingPermission "control";
-    permission java.util.PropertyPermission "*", "read,write";
-    permission javax.management.MBeanServerPermission "createMBeanServer";
-    permission javax.management.MBeanPermission "com.sonatype.*", "*";
-    permission javax.management.MBeanPermission "org.sonatype.*", "*";
-    permission javax.management.MBeanTrustPermission "register";
-};

tomcat/nexus.context.xml

+<Context docBase="/usr/share/nexus" reloadable="true" allowLinking="true"/>

tomcat/nexus.policy

+grant codeBase "file:${catalina.home}${file.separator}bin${file.separator}tomcat-juli.jar" {
+    permission java.io.FilePermission "/usr/share/nexus/WEB-INF/classes/logging.properties", "read";
+    permission java.io.FilePermission "/usr/share/nexus/WEB-INF/classes/log4j.properties", "read";
+};
+
+grant codeBase "file:/usr/share/nexus/-" {
+    permission java.io.FilePermission "/", "read";
+    permission java.io.FilePermission "/usr/share/tomcat5.5/.mime-types.properties", "read";
+    permission java.io.FilePermission "/etc/nexus/", "read,write";
+    permission java.io.FilePermission "/etc/nexus/-", "read,write,delete";
+    permission java.io.FilePermission "/usr/share/nexus", "read";
+    permission java.io.FilePermission "/usr/share/nexus/-", "read";
+    permission java.io.FilePermission "/var/lib/nexus", "read,write";
+    permission java.io.FilePermission "/var/lib/nexus/-", "read,write,delete";
+    permission java.io.FilePermission "/var/log/nexus", "read,write";
+    permission java.io.FilePermission "/var/log/nexus/-", "read,write,delete";
+    permission java.io.FilePermission "${catalina.base}/temp", "read,write";
+    permission java.io.FilePermission "${catalina.base}/temp/-", "read,write,delete";
+    permission java.io.FilePermission "<<ALL FILES>>", "read";
+    permission java.lang.reflect.ReflectPermission "suppressAccessChecks";
+    permission java.lang.RuntimePermission "accessClassInPackage.org.apache.coyote";
+    permission java.lang.RuntimePermission "accessClassInPackage.sun.jdbc.odbc";
+    permission java.lang.RuntimePermission "accessClassInPackage.sun.misc";
+    permission java.lang.RuntimePermission "accessClassInPackage.sun.reflect";
+    permission java.lang.RuntimePermission "accessClassInPackage.sun.util.logging.resources";
+    permission java.lang.RuntimePermission "accessDeclaredMembers";
+    permission java.lang.RuntimePermission "createClassLoader";
+    permission java.lang.RuntimePermission "defineClassInPackage.java.lang";
+    permission java.lang.RuntimePermission "getClassLoader";
+    permission java.lang.RuntimePermission "getenv.*";
+    permission java.lang.RuntimePermission "getProtectionDomain";
+    permission java.lang.RuntimePermission "modifyThread";
+    permission java.lang.RuntimePermission "preferences";
+    permission java.lang.RuntimePermission "reflectionFactoryAccess";
+    permission java.lang.RuntimePermission "setContextClassLoader";
+    permission java.lang.RuntimePermission "setFactory";
+    permission java.lang.RuntimePermission "setIO";
+    permission java.lang.RuntimePermission "shutdownHooks";
+    permission java.net.NetPermission "specifyStreamHandler";
+    permission java.net.SocketPermission "*", "connect,resolve";
+    permission java.security.SecurityPermission "putProviderProperty.BC";
+    permission java.util.logging.LoggingPermission "control";
+    permission java.util.PropertyPermission "*", "read,write";
+    permission javax.management.MBeanServerPermission "createMBeanServer";
+    permission javax.management.MBeanPermission "com.sonatype.*", "*";
+    permission javax.management.MBeanPermission "org.sonatype.*", "*";
+    permission javax.management.MBeanTrustPermission "register";
+};
Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.